Download it now!
Bug 101863 - Remove superfluous apostrophe auto-corrections in DE locale
Summary: Remove superfluous apostrophe auto-corrections in DE locale
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Johnny_M
URL:
Whiteboard: target:5.3.0 target:5.2.2
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-02 16:23 UTC by Johnny_M
Modified: 2016-09-07 10:26 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johnny_M 2016-09-02 16:23:39 UTC
Following auto-corrections in the DE locale are not needed, because their original form (without the apostrophe) is also valid:

gehts -> geht´s
gibts -> gibt´s
wirds -> wird´s

Reference: Duden (the go-to authority on German grammar; in German; see rule 14, point 4): http://www.duden.de/sprachwissen/rechtschreibregeln/apostroph

> Bei umgangssprachlichen Verbindungen eines Verbs oder einer Konjunktion
> mit dem Pronomen „es" ist der Apostroph entbehrlich; er wird jedoch häufig
> verwendet.
>
>    Wie gehts (auch: geht's) dir?
>    Nimms (auch: Nimm's) nicht so schwer.
>    Wenns (auch: Wenn's) weiter nichts ist ...

Additional details (in German): http://www.spiegel.de/kultur/zwiebelfisch/zwiebelfisch-abc-der-gebrauch-des-apostrophs-im-ueberblick-a-283781.html
Comment 1 Johnny_M 2016-09-02 23:23:13 UTC
For master: https://gerrit.libreoffice.org/#/c/28628/
For LO-5-2: https://gerrit.libreoffice.org/#/c/28635/
Comment 2 Commit Notification 2016-09-06 19:46:25 UTC
Johnny_M committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b62ad397c1ed137cbe69aa0882d290a92052e9a&h=libreoffice-5-2

tdf#101863 Remove superfluous apostrophe auto-corrections in DE

It will be available in 5.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-09-07 10:26:54 UTC
Johnny_M committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=980756ce042eede8ba617f1c54a387a7ecbaf5db

tdf#101863 Remove superfluous apostrophe auto-corrections in DE

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.